
Katello - Feature #6418

Candlepin integration with Qpid.

06/27/2014 02:32 PM - Alex Wood

Status: Closed   

Priority: Normal   

Assignee: Alex Wood   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Candlepin puppet module uses AMQP to send messages about events that occur.  Since Pulp already installs Qpid, it would

make sense for Candlepin to connect to this Qpid instance and use it as a destination for messages.

Task involved include:

- Issuing client certificates to Candlepin.

- Configuring Candlepin to use those certificates and to connect to the Qpid broker.

- Establishing the exchange for Candlepin to send events to.

Associated revisions

Revision cdb8a2f6 - 06/27/2014 03:41 PM - Alex Wood

Refs #6418 - Configure Candlepin to use Qpid.

Revision e51372f0 - 06/27/2014 03:43 PM - Alex Wood

Refs #6418 - Set up certificates for Candlepin/Qpid integration.

Revision 42cfd355 - 06/27/2014 03:44 PM - Alex Wood

Refs #6418 - Break dependency cycle between Candlepin and Qpid.

Revision be57c785 - 06/27/2014 03:44 PM - Alex Wood

Refs #6418 - Log Qpid errors to syslog.

Prior to this the errors were not being logged.

Revision 0019f014 - 06/30/2014 03:59 PM - Alex Wood

Refs #6418 - Minor fixes to Candlepin Qpid configuration.

- Add mode, owner, and group to AMQP cert directory.

- Properly reference default_ca_name variable

- Shorten exec type names

Revision d05b8ed4 - 07/08/2014 04:28 PM - Alex Wood

Refs #6418 - Fix keytool use for Java 6 compatibility.

The :file and :env modifiers for storepass, keypass, etc. were not added

until Java 7.

Revision 9df11c2e - 07/09/2014 08:57 AM - Eric Helms

Merge pull request #22 from awood/master

Refs #6418 - Fix keytool use for Java 6 compatibility.

Revision 8ad97733 - 07/09/2014 09:57 AM - Alex Wood
Refs #6418 - Fix keytool use for Java 6 compatibility.

Revision e2975c06 - 07/14/2014 12:17 PM - Eric Helms

Merge pull request #82 from candlepin/master

Refs #6418 - Fix keytool use for Java 6 compatibility.

History

#1 - 06/27/2014 02:37 PM - Alex Wood

Proposed fix:

https://github.com/Katello/puppet-certs/pull/21

https://github.com/Katello/puppet-candlepin/pull/9

https://github.com/Katello/puppet-qpid/pull/7

https://github.com/Katello/puppet-katello/pull/31

#2 - 06/27/2014 02:38 PM - Dominic Cleal

- Project changed from Foreman to Katello

- Triaged set to No

#3 - 09/05/2014 10:09 AM - Eric Helms

- Category set to 78

- Status changed from New to Closed

- Assignee set to Alex Wood

- translation missing: en.field_release set to 13

- Triaged changed from No to Yes
